# The config recipe.
# https://rasa.com/docs/rasa/model-configuration/
recipe: default.v1


language: en

pipeline:
 - name: WhitespaceTokenizer
 - name: RegexFeaturizer
 - name: LexicalSyntacticFeaturizer
 - name: CountVectorsFeaturizer
 - name: CountVectorsFeaturizer
   analyzer: char_wb
   min_ngram: 2
   max_ngram: 4
 - name: DIETClassifier
   epochs: 100
   constrain_similarities: true
   model_confidence: softmax

policies:
 - name: MemoizationPolicy
 - name: TEDPolicy
   max_history: 5
   epochs: 50
   constrain_similarities: true
 - name: RulePolicy